Search found 1960 matches

by carlopav
Sun Oct 24, 2021 6:57 pm
Forum: Help on using FreeCAD
Topic: Zoom to physical size
Replies: 18
Views: 1199

Re: Zoom to physical size

ok but not work (tested by Draft_Text) 20:05:56 Traceback (most recent call last): 20:05:56 File "C:\FreeCAD_weekly-builds-25943-Win-Conda_vc14.x-x86_64\Mod\Draft\draftutils\init_draft_statusbar.py", line 171, in _set_scale 20:05:56 scale_widget.scaleLabel.setText(text_scale) 20:05:56 Att...
by carlopav
Sun Oct 24, 2021 4:33 pm
Forum: Developers corner
Topic: Point Dragger Mode for Editing Draft Object Vertices?
Replies: 4
Views: 698

Re: Point Dragger Mode for Editing Draft Object Vertices?

Hi! The implementation looks really clean, i like the code. However I'm not sure about if it is the right direction: the dragger seems to be not compatible with Draft Snaps, as you experienced the drawing became less precise, and 9 minuts is really a lot of time to draw such few lines... I can obtai...
by carlopav
Fri Oct 22, 2021 11:12 pm
Forum: Draft, Arch & BIM
Topic: Shapestring move behavior
Replies: 13
Views: 1917

Re: Shapestring move behavior

bluebaer wrote: Fri Oct 22, 2021 8:03 pm 3. Execute "Draft.move([FreeCAD.ActiveDocument.Body, FreeCAD.ActiveDocument.Box], FreeCAD.Vector(-10.0, -10.0, 0.0), copy=False)"

=> you will see the box is relocated -20 /-20 / 0
Looks correct to me because you are moving the body and the container box too...
by carlopav
Thu Oct 21, 2021 8:25 pm
Forum: Draft, Arch & BIM
Topic: [ Fixed ] Draft_Edit does not work on wall sketch after reopening file
Replies: 12
Views: 1166

Re: [ Bug ] Draft_Edit does not work on wall sketch after reopening file

Nice, you also checked for constraints. That's good!
by carlopav
Mon Oct 18, 2021 9:44 pm
Forum: Open discussion
Topic: [SOLVED]Maybe revolve is not the right tool for this action?
Replies: 9
Views: 828

Re: Maybe revolve is not the right tool for this action?

I think you should have a look at sheetmetal workbench bend tool...
by carlopav
Mon Oct 18, 2021 6:37 pm
Forum: Python scripting and macros
Topic: [LinkExtensionPython] - LinkArray of Blocks in ArchWall ?
Replies: 9
Views: 963

Re: [LinkExtensionPython] - LinkArray of Blocks in ArchWall ?

Compound is OCCT's way to group shape instances, TopoDS_Shape to be precise, which contains a location (TopLoc_Location) and a reference to the actual shape data, which can be shared if there are multiple instances of the same shape at different location. This is as efficient as it can get to store...
by carlopav
Mon Oct 18, 2021 4:21 pm
Forum: Draft, Arch & BIM
Topic: Shapestring move behavior
Replies: 13
Views: 1917

Re: Shapestring move behavior

... If so please report them. Those are problems indeed here is the next one after draft downgrade with this message 7.86e-07 <App> Document.cpp(3439): Recursive calling of recompute for document Unnamed 95 pillow block.stp.zip OS: Ubuntu 20.04.1 LTS (XFCE/xubuntu) Word size of FreeCAD: 64-bit Vers...
by carlopav
Sun Oct 17, 2021 6:23 pm
Forum: Open discussion
Topic: [17/10/21][LinkStage3][UI] Vertical UI
Replies: 48
Views: 7941

Re: [17/10/21][LinkStage3][UI] Vertical UI

Noce, also configurations pack PR by chennes was merged in FC master.
Would you consider making a similar tutorial for the master branch?
by carlopav
Thu Oct 14, 2021 4:15 pm
Forum: Pull Requests
Topic: PR 4787 : Preference Packs (a.k.a. "Themes")
Replies: 5
Views: 1071

Re: PR 4787 : Preference Packs (a.k.a. "Themes")

Wow! Congratulations!